Acontext
SandboxLogs

Get sandbox logs

GET
/sandbox/logs

Get sandbox logs for the project with cursor-based pagination

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Query Parameters

limit?integer

Limit of sandbox logs to return, default 20. Max 200.

cursor?string

Cursor for pagination. Use the cursor from the previous response to get the next page.

time_desc?boolean

Order by created_at descending if true, ascending if false (default false)

Response Body

application/json

curl -X GET "https://loading/api/v1/sandbox/logs"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "has_more": true,
    "items": [
      {
        "backend_sandbox_id": "string",
        "backend_type": "string",
        "created_at": "string",
        "generated_files": [
          {}
        ],
        "history_commands": [
          {}
        ],
        "id": "string",
        "project_id": "string",
        "updated_at": "string",
        "will_total_alive_seconds": 0
      }
    ],
    "next_cursor": "string"
  }
}